> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tags

> Using this API, you can list all the tags of your contacts and campaign in your Mailercloud account



## OpenAPI

````yaml /openapi-v1.json post /tags/search
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /tags/search:
    post:
      tags:
        - Tags
      summary: List Tags
      description: >-
        Using this API, you can list all the tags of your contacts and campaign
        in your Mailercloud account
      operationId: list-tags
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                limit:
                  type: integer
                  minimum: 10
                  maximum: 100
                  description: Maximum number of elements to return
                page:
                  type: integer
                  minimum: 1
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.
                search:
                  type: string
                  description: Filter list by name , giving name in search keyword
              required:
                - limit
                - page
            examples:
              Example-1:
                value:
                  limit: 10
                  page: 1
                  search: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                  data:
                    type: array
                    items: {}
              examples:
                Example-1:
                  value:
                    count: 0
                    data:
                      id: string
                      tag_name: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    properties:
                      field:
                        type: string
                      message:
                        type: string
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Invalid input
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    properties:
                      field:
                        type: string
                      message:
                        type: string
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````